﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="Grid" AutoEventWireup="true" CodeBehind="GridFeatures.aspx.cs" Inherits="SyncfusionASPNETApplication18.GridFeatures" %>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <ej:Grid ID="OrdersGrid" runat="server" AllowPaging="True">
        <Columns>
            <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="true" TextAlign="Right" Width="75">
                <ValidationRule>
                    <ej:KeyValue Key="required" Value="true" />
                    <ej:KeyValue Key="number" Value="true" />
                </ValidationRule>
            </ej:Column>
            <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="80">
                <ValidationRule>
                    <ej:KeyValue Key="required" Value="true" />
                    <ej:KeyValue Key="minlength" Value="3" />
                </ValidationRule>
            </ej:Column>
            <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="80" EditType="DropdownEdit" />
            <ej:Column Field="Employee.Address" HeaderText="Address" Width="130" />
            <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="80" Format="{0:C}" EditType="NumericEdit">
                <NumericEditOptions DecimalPlaces="2"></NumericEditOptions>
            </ej:Column>
            <ej:Column Field="ShipName" HeaderText="ShipName" Width="150" />
            <ej:Column Field="ShipCountry" HeaderText="ShipCountry" Width="90" EditType="DropdownEdit" />
        </Columns>
        <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True" EditMode="Batch"></EditSettings>
        <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
        <ClientSideEvents CellEdit="celledit" />
    </ej:Grid>
    <script type="text/javascript">
        function celledit(args) {
            if (this.getBatchChanges().changed.length) {
                var index = this.model.dataSource.findIndex(x=>x.OrderID == this.getBatchChanges().changed[0].OrderID)
                if (args.cell.closest("tr").index() != index)
                    args.cancel = true;
            }
        }
    </script>
</asp:Content>
